<?php
require_once(__DIR__ . "/../../config/connect.php");
require_once(__DIR__ . "/../../global_functions.php");
?>

<?php



//$con=sIT_mysql_connect(SQL_HOST, SQL_USER, SQL_PW, SQL_DB);



function tisch_x_y_updaten()
{
	global $con_i;

	if (isset($_POST['tisch_id']) && $_POST['tisch_id'] != '') $tisch_id = $_POST['tisch_id'];
	//if (isset($_POST['xPos']) && $_POST['xPos'] != '') $xPos = round($_POST['xPos'], 0);
	//if (isset($_POST['yPos']) && $_POST['yPos'] != '') $yPos = round($_POST['yPos'], 0);
	if (isset($_POST['xPos']) && $_POST['xPos'] != '') $xPos = $_POST['xPos'];
	if (isset($_POST['yPos']) && $_POST['yPos'] != '') $yPos = $_POST['yPos'];
	$sql = "UPDATE tische SET posLeft=posLeft+$xPos, posTop=posTop+$yPos WHERE id=$tisch_id";
	$Q1 = sIT_mysql_run_query($con_i, $sql, true);
}

function tisch_breite_hoehe_updaten()
{
	global $con_i;

	if (isset($_POST['tisch_id']) && $_POST['tisch_id'] != '') $tisch_id = $_POST['tisch_id'];
	if (isset($_POST['width']) && $_POST['width'] != '') $width = round($_POST['width'], 0);
	if (isset($_POST['height']) && $_POST['height'] != '') $height = round($_POST['height'], 0);

	$sql = "UPDATE tische SET breite=$width, hoehe=$height WHERE id=$tisch_id";
	$Q1 = sIT_mysql_run_query($con_i, $sql, true);
}

function neuen_tisch_anlegen()
{
	global $con_i;

	if (isset($_POST['raum_id']) && $_POST['raum_id'] != '') $raum_id = $_POST['raum_id'];

	$sql = "INSERT INTO tische SET tischName='neuer Tisch', raum=" . $raum_id . ", 
				breite='" . TEMPORAERE_TISCHE_BREITE . "', hoehe='" . TEMPORAERE_TISCHE_HOEHE . "', bg_color='AAAAAA', txt_color='EEEEEE',
				posTop=1, posLeft=1";
	$Q1 = sIT_mysql_run_query($con_i, $sql, true);
}

function tisch_loeschen()
{
	global $con_i;

	if (isset($_POST['tisch_id']) && $_POST['tisch_id'] != '') $tisch_id = $_POST['tisch_id'];
	$sql = "DELETE FROM tische WHERE id=$tisch_id";
	$Q1 = sIT_mysql_run_query($con_i, $sql, true);
	if (!$Q1) echo "Fehler beim löschen :" . mysql_error();
	else echo "Tisch gelöscht";
}

function tisch_attribute_speichern()
{
	global $con_i;

	if (isset($_POST['tisch_id']) && $_POST['tisch_id'] != '') $tisch_id = $_POST['tisch_id'];
	if (isset($_POST['tischName'])) $tischName = $_POST['tischName'];
	if (isset($_POST['breite'])) $breite = $_POST['breite'];
	if (isset($_POST['hoehe'])) $hoehe = $_POST['hoehe'];
	if (isset($_POST['posLeft'])) $posLeft = $_POST['posLeft'];
	if (isset($_POST['posTop'])) $posTop = $_POST['posTop'];
	if (isset($_POST['raum'])) $raum = $_POST['raum'];
	if (isset($_POST['bg_color'])) $bg_color = $_POST['bg_color'];
	if (isset($_POST['txt_color'])) $txt_color = $_POST['txt_color'];
	if (isset($_POST['bgImg'])) $bgImg = $_POST['bgImg'];
	if (isset($_POST['report_sonder'])) $report_sonder = $_POST['report_sonder'];
	$sql = "UPDATE tische SET tischName='$tischName', breite='$breite', hoehe='$hoehe', posLeft='$posLeft', posTop='$posTop', raum='$raum', 
					bg_color='$bg_color', txt_color='$txt_color', bgImg='$bgImg', report_sonder='$report_sonder'
					WHERE id=$tisch_id";
	$Q1 = sIT_mysql_run_query($con_i, $sql, true);
	if (!$Q1) echo "Fehler :" . mysql_error();
	else echo "Daten gespeichert";
}

function tisch_details_anzeigen()
{
	global $con_i;

	if (isset($_POST['tisch_id']) && $_POST['tisch_id'] != '') $tisch_id = $_POST['tisch_id'];

	//$sql="UPDATE tische SET breite=+$width, hoehe=$height WHERE id=$tisch_id";
	$sql = "SELECT * FROM tische WHERE id=$tisch_id";
	$Q1 = sIT_mysql_run_query($con_i, $sql, true);
	while ($row1 = sIT_mysql_get_row($Q1)) {
		$bgcolor = $row1['bg_color'];
		$txtcolor = $row1['txt_color'];
		if (empty($bgcolor)) $bgcolor = '#AAAAAA';
		if (empty($txtcolor)) $txtcolor = '#EEEEEE';

		echo "<div class='child'><button class='button orange' onclick='tisch_loeschen(" . $tisch_id . ")'>Tisch löschen</button></div>";
		//var_dump($row1);
		echo "<FORM action='api/tische/tische_globale_funktionen.php' method='POST'>";
		echo "<INPUT type='hidden' name='funktion' value='tisch_attribute_speichern'></div>";
		echo "<INPUT type='hidden' name='tisch_id' value='" . $tisch_id . "'></div>";
		echo "<div class='child'>Name:<br><INPUT type='text' size='3' name='tischName' value='" . $row1['tischName'] . "' title='Tisch Name'></div>";
		echo "<div class='child_klein'>B:<br> <INPUT type='text' size='3' name='breite' value='" . $row1['breite'] . "' title='Tisch Breite'></div>";
		echo "<div class='child_klein'>H:<br> <INPUT type='text' size='3' name='hoehe' value='" . $row1['hoehe'] . "' title='Tisch Höhe'></div>";
		echo "<div class='child_klein'>X:<br> <INPUT type='text' size='3' name='posLeft' value='" . $row1['posLeft'] . "' title='X Position'></div>";
		echo "<div class='child_klein'>Y:<br> <INPUT type='text' size='3' name='posTop' value='" . $row1['posTop'] . "' title='Y Position'></div>";
		echo "<div class='child'>Raum:<br> <select class='adminKonfigAnzeigeTypeSel' id='raum' name='raum'>";
		$Q2 = mysql_query("SELECT id, name FROM raum ORDER BY reihenfolge");
		while ($row2 = mysql_fetch_assoc($Q2)) {
			if ($row2['id'] == $row1['raum']) $selected = " selected ";
			else $selected = " ";
			echo "<option value='" . $row2['id'] . "' name='" . $row2['id'] . "' $selected >" . $row2['name'] . "</option> ";
		}
		echo "</select></div>";
		echo "<div class='child_klein'>HFarbe<br> <INPUT class='jscolor' type='text' size='3' name='bg_color' placeholder='#FFFFFF' value='" . $bgcolor . "' title='Hintergrund Farbe'></div>";
		echo "<div class='child_klein'>TFarbe<br> <INPUT class='jscolor' type='text' size='3' name='txt_color' value='" . $txtcolor . "' title='Text Farbe'></div>";
		echo "<div class='child'>Bild<br>";
		echo "<SELECT name='bgImg' title='Hintergrund Bild anzeigen?'>";
		if ($row1['bgImg'] == 0) $selected = " selected ";
		else $selected = " ";
		echo "<OPTION value='0' $selected>Nein</OPTION>";
		if ($row1['bgImg'] == 1) $selected = " selected ";
		else $selected = " ";
		echo "<OPTION value='1' $selected>Ja</OPTION>";
		echo "</SELECT>";
		echo "</div>";
		echo "<div class='child' title='Diesen Tisch am Kassenabschlu&szlig; ausweisen?'>Abschl anz<br>";
		echo "<SELECT name='report_sonder'>";
		if ($row1['report_sonder'] == 0) $selected = " selected ";
		else $selected = " ";
		echo "<OPTION value='0' $selected>Nein</OPTION>";
		if ($row1['report_sonder'] == 1) $selected = " selected ";
		else $selected = " ";
		echo "<OPTION value='1' $selected>Ja</OPTION>";
		echo "</SELECT>";
		echo "</div>";
		echo "</FORM>";
		echo "<div class='child'><button class='button orange' value='Speichern' onclick='submitForm(this)'>Speichern</button></div>";
	}
}

if (isset($_POST['funktion']) && $_POST['funktion'] != '') {
	$functionKey = $_POST['funktion'];

	switch ($functionKey) {
		case "tisch_x_y_updaten":
			tisch_x_y_updaten();
			break;
		case "tisch_breite_hoehe_updaten":
			tisch_breite_hoehe_updaten();
			break;
		case "neuen_tisch_anlegen":
			neuen_tisch_anlegen();
			break;
		case "tisch_details_anzeigen":
			tisch_details_anzeigen();
			break;
		case "tisch_loeschen":
			tisch_loeschen();
			break;
		case "tisch_attribute_speichern":
			tisch_attribute_speichern();
			break;
		default:
			echo "Error !!! Falscher Aufruf von ajax_funktionen, Funktion $functionKey nicht bekannt";
	}
}
?>